// @ts-nocheck
/**
 * 將壹個值限制在指定的範圍內
 * @param val 要限制的值
 * @param min 最小值
 * @param max 最大值
 * @returns 限制後的值
 */
export function clamp(val: number, min: number, max: number): number {
  return Math.max(min, Math.min(max, val));
}


// console.log(clamp(5 ,0, 10)); // 輸出: 5（在範圍內，不做更改）
// console.log(clamp(-5 ,0, 10)); // 輸出: 0（小於最小值，被限制為最小值）
// console.log(clamp(15 ,0, 10)); // 輸出: 10（大於最大值，被限制為最大值）