// @ts-nocheck
/**
 * 檢查壹個值是否為對象類型
 * @param val 要檢查的值
 * @returns 如果值的類型是對象類型，則返回 true；否則返回 false
 */

// #ifndef APP-IOS || APP-ANDROID
export const isObject = (val : unknown) : val is Record<any, any> =>
	val !== null && typeof val === 'object';
	
// #endif


// #ifdef APP-IOS || APP-ANDROID
export const isObject = (val : any | null) : boolean =>{
	return val !== null && typeof val === 'object';
}
// #endif
