export default {
	props: {
		// 當前form的需要驗證字段的集合
		model: {
			type: Object,
			default: () => ({})
		},
		// 驗證規則
		rules: {
			type: [Object, Function, Array],
			default: () => ({})
		},
		// 有錯誤時的提示方式，message-提示信息，toast-進行toast提示
		// border-bottom-下邊框呈現紅色，none-無提示
		errorType: {
			type: String,
			default: 'message'
		},
		// 是否顯示表單域的下劃線邊框
		borderBottom: {
			type: Boolean,
			default: true
		},
		// label的位置，left-左邊，top-上邊
		labelPosition: {
			type: String,
			default: 'left'
		},
		// label的寬度，單位px
		labelWidth: {
			type: [String, Number],
			default: 45
		},
		// lable字體的對齊方式
		labelAlign: {
			type: String,
			default: 'left'
		},
		// lable的樣式，對象形式
		labelStyle: {
			type: Object,
			default: () => ({})
		},
		...uni.$uv?.props?.form
	}
}