export default {
	props: {
		color: {
			type: String,
			default: '#d6d7d9'
		},
		// 長度，豎向時表現為高度，橫向時表現為長度，可以為百分比，帶px單位的值等
		length: {
			type: [String, Number],
			default: '100%'
		},
		// 線條方向，col-豎向，row-橫向
		direction: {
			type: String,
			default: 'row'
		},
		// 是否顯示細邊框
		hairline: {
			type: Boolean,
			default: true
		},
		// 線條與上下左右元素的間距，字符串形式，如"30px"、"20px 30px"
		margin: {
			type: [String, Number],
			default: 0
		},
		// 是否虛線，true-虛線，false-實線
		dashed: {
			type: Boolean,
			default: false
		},
		...uni.$uv?.props?.line
	}
}