// @ts-nocheck
/**
 * 檢查壹個值是否為函數類型
 * @param val 要檢查的值
 * @returns 如果值的類型是函數類型，則返回 true；否則返回 false
 */

// #ifdef APP-IOS || APP-ANDROID
export const isFunction = (val: any):boolean => typeof val == 'function';
 // #endif


// #ifndef APP-IOS || APP-ANDROID
export const isFunction = (val: unknown): val is Function =>
  typeof val === 'function';
// #endif
