export default {
	props: {
		// 是否顯示遮罩
		show: {
			type: Boolean,
			default: false
		},
		// 層級z-index
		zIndex: {
			type: [String, Number],
			default: 10070
		},
		// 遮罩的過渡時間，單位為ms
		duration: {
			type: [String, Number],
			default: 300
		},
		// 不透明度值，當做rgba的第四個參數
		opacity: {
			type: [String, Number],
			default: 0.5
		},
		...uni.$uv?.props?.overlay
	}
}