export default {
	props: {
		// 是否展示工具條
		show: {
			type: Boolean,
			default: true
		},
		// 是否顯示下邊框
		showBorder: {
			type: Boolean,
			default: false
		},
		// 取消按鈕的文字
		cancelText: {
			type: String,
			default: '取消'
		},
		// 確認按鈕的文字
		confirmText: {
			type: String,
			default: '确认'
		},
		// 取消按鈕的顏色
		cancelColor: {
			type: String,
			default: '#909193'
		},
		// 確認按鈕的顏色
		confirmColor: {
			type: String,
			default: '#3c9cff'
		},
		// 標題文字
		title: {
			type: String,
			default: ''
		},
		...uni.$uv?.props?.toolbar
	}
}