## Toolbar 工具條

> **組件名：uv-toolbar**

該組價是僅用於uv-ui中壹個公共小工具，提供壹個取消和確定的樣式，可以設置標題，主要用於彈窗頂部的選擇確定工具條。

### 基本使用

```vue
<uv-toolbar title="標題文字"></uv-toolbar>
```

### Toolbar Props

| 屬性名 | 類型 | 默認值 | 說明 |
|:-|:-|:-|:-|
| show | Boolean | true | 是否展示工具條 |
| showBorder | Boolean | false | 是否顯示下邊框 |
| cancelText | String | '取消' | 取消按鈕的文字 |
| confirmText | String | '確定' | 確定按鈕的文字 |
| cancelColor | String | '#909193' | 取消按鈕的顏色 |
| confirmColor | String | '#3c9cff' | 確認按鈕的顏色 |
| title | String | - | 標題文字 |

## [下載完整示例項目](https://ext.dcloud.net.cn/plugin?name=uv-ui)

### [更多插件，請關註uv-ui組件庫](https://ext.dcloud.net.cn/plugin?name=uv-ui)

![image](https://mp-a667b617-c5f1-4a2d-9a54-683a67cff588.cdn.bspapp.com/uv-ui/banner.png)

#### 如使用過程中有任何問題反饋，或者您對uv-ui有壹些好的建議，歡迎加入uv-ui官方交流群：<a href="https://www.uvui.cn/components/addQQGroup.html" target="_blank">官方QQ群</a>